# Method: collectionstatuses.list

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/collectionstatuses/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/collectionstatuses/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/collectionstatuses/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/collectionstatuses/list#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/collectionstatuses/list#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/collectionstatuses/list#body.ListCollectionStatusesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/collectionstatuses/list#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/collectionstatuses/list#try-it)

Lists the statuses of the collections in your Merchant Center account.

### HTTP request

`GET https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/collectionstatuses`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the account that contains the collection. This account cannot be a multi-client account. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of collection statuses to return in the response, used for paging. Defaults to 50; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Token (if provided) to retrieve the subsequent page. All other parameters must match the original call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for the collectionstatuses.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "resources": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/collectionstatuses#CollectionStatus`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `resources[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/collectionstatuses#CollectionStatus`)`` The collectionstatuses listed. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).